LPCOpen Platform for LPC18XX/43XX microcontrollers: SPIFI_INFODATA_T Struct Reference

| LPCOpen Platform for LPC18XX/43XX microcontrollers 18XX43XX LPCOpen Platform for the NXP LPC18XX/43XX family of Microcontrollers

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
SPIFI_INFODATA_T Struct Reference
LPCSPIFILIB device driver API functions

## Detailed Description

Common data applicable to all devices.

Definition at line 335 of file spifilib_dev.h.

`#include "spifilib_dev.h"`

## Data Fields
uint32_t | spifiCtrlAddr
uint32_t | baseAddr
uint32_t | numBlocks
uint32_t | blockSize
uint32_t | numSubBlocks
uint32_t | subBlockSize
uint32_t | pageSize
uint32_t | maxReadSize
struct SPIFI_DEVICE_DATA * | pDeviceData
uint32_t | opts
const char * | pDevName
SPIFI_ERR_T | lastErr
const SPIFI_DEVICE_ID_T * | pId

## Field Documentation

uint32_t baseAddr

Physical base address for the device

Definition at line 337 of file spifilib_dev.h.

uint32_t blockSize

Size of blocks on the device

Definition at line 339 of file spifilib_dev.h.

SPIFI_ERR_T lastErr

Last error for the driver

Definition at line 348 of file spifilib_dev.h.

uint32_t maxReadSize

Maximum read size in bytes for a single read operation

Definition at line 343 of file spifilib_dev.h.

uint32_t numBlocks

Number of blocks on the device

Definition at line 338 of file spifilib_dev.h.

uint32_t numSubBlocks

Number of sub-blocks on the device

Definition at line 340 of file spifilib_dev.h.

uint32_t opts

Device options of values SPIFI_OPT_*

Definition at line 346 of file spifilib_dev.h.

uint32_t pageSize

Size of a page, usually denotes maximum write size in bytes for a single write operation

Definition at line 342 of file spifilib_dev.h.

struct SPIFI_DEVICE_DATA* pDeviceData

(required) Pointer to device specific data

Definition at line 344 of file spifilib_dev.h.

const char* pDevName

(required) Pointer to device name

Definition at line 347 of file spifilib_dev.h.

const SPIFI_DEVICE_ID_T* pId

(required) Device id structure (JEDEC ID etc)

Definition at line 349 of file spifilib_dev.h.

uint32_t spifiCtrlAddr

SPIFI controller base address

Definition at line 336 of file spifilib_dev.h.

uint32_t subBlockSize

Size of sub-blocks on the device

Definition at line 341 of file spifilib_dev.h.

The documentation for this struct was generated from the following file:

- C:/w/lpcopen_docs/software/lpcspifilib/inc/spifilib_dev.h